Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfTableCell

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.Cell
              com.lowagie.text.rtf.RtfTableCell

All Implemented Interfaces:
  Element, TextElementArray

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.table.RtfCell replaces the functionality of this class.

    public class RtfTableCell

extends Cell

A `Cell` with extended style attributes ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Field Summary
`static int` | `BORDER_DASHED` Deprecated. Table border dashed
`static int` | `BORDER_DOT_DASH` Deprecated. Table border dot dash line
`static int` | `BORDER_DOT_DOT_DASH` Deprecated. Table border dot dot dash line
`static int` | `BORDER_DOTTED` Deprecated. Table border dotted
`static int` | `BORDER_DOUBLE` Deprecated. Table border double line
`static int` | `BORDER_DOUBLE_THICK` Deprecated. Table border double thickness
`static int` | `BORDER_DOUBLE_WAVY` Deprecated. Table border line
`static int` | `BORDER_EMBOSS` Deprecated. Table border line
`static int` | `BORDER_ENGRAVE` Deprecated. Table border line
`static int` | `BORDER_HAIRLINE` Deprecated. Table border hairline
`static int` | `BORDER_SHADOWED` Deprecated. Table border shadowed
`static int` | `BORDER_SINGLE` Deprecated. Table border solid
`static int` | `BORDER_STRIPED` Deprecated. Table border line
`static int` | `BORDER_THICK_THIN` Deprecated. Table border line
`static int` | `BORDER_THICK_THIN_LARGE` Deprecated. Table border line
`static int` | `BORDER_THICK_THIN_MED` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK_LARGE` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK_MED` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK_THIN` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK_THIN_LARGE` Deprecated. Table border line
`static int` | `BORDER_THIN_THICK_THIN_MED` Deprecated. Table border line
`static int` | `BORDER_TRIPLE` Deprecated. Table border triple line
`static int` | `BORDER_UNDEFINED` Deprecated. Table border solid
`static int` | `BORDER_WAVY` Deprecated. Table border line
`private int` | `bottomBorderStyle` Deprecated.
`private float` | `bottomBorderWidth` Deprecated.
`private int` | `leftBorderStyle` Deprecated.
`private float` | `leftBorderWidth` Deprecated.
`private int` | `rightBorderStyle` Deprecated.
`private float` | `rightBorderWidth` Deprecated.
`private int` | `topBorderStyle` Deprecated.
`private float` | `topBorderWidth` Deprecated.

Fields inherited from class com.lowagie.text.Cell
`arrayList, colspan, groupChange, header, horizontalAlignment, maxLines, percentage, rowspan, useAscender, useBorderPadding, useDescender, verticalAlignment, width`

Fields inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, LEFT, llx, lly, NO_BORDER, RIGHT, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfTableCell(boolean dummy)` Deprecated. Constructs an empty `Cell` (for internal use only).
`RtfTableCell(Element element)` Deprecated. Constructs a `Cell` with a certain `Element`.
`RtfTableCell(Properties attributes)` Deprecated. Returns a `Cell` that has been constructed taking in account the value of some attributes.
`RtfTableCell(String content)` Deprecated. Constructs a `Cell` with a certain content.

Method Summary
`int` | `bottomBorderStyle()` Deprecated. Get the bottom border style
`float` | `bottomBorderWidth()` Deprecated. Get the bottom border width
`protected static byte[]` | `getStyleControlWord(int style)` Deprecated. Get the RTF control word for `style`
`int` | `leftBorderStyle()` Deprecated. Get the left border style
`float` | `leftBorderWidth()` Deprecated. Get the left border width
`int` | `rightBorderStyle()` Deprecated. Get the right border style
`float` | `rightBorderWidth()` Deprecated. Get the right border width
`void` | `setBorderStyle(int style)` Deprecated. Set all four borders to style defined by `style`
`void` | `setBorderWidth(float f)` Deprecated. Set all four borders to `f` width
`void` | `setBottomBorderStyle(int style)` Deprecated. Set the bottom border to style defined by `style`
`void` | `setBottomBorderWidth(float f)` Deprecated. Set the bottom border to `f` width
`void` | `setLeftBorderStyle(int style)` Deprecated. Set the left border to style defined by `style`
`void` | `setLeftBorderWidth(float f)` Deprecated. Set the left border to `f` width
`void` | `setRightBorderStyle(int style)` Deprecated. Set the right border to style defined by `style`
`void` | `setRightBorderWidth(float f)` Deprecated. Set the right border to `f` width
`void` | `setTopBorderStyle(int style)` Deprecated. Set the top border to style defined by `style`
`void` | `setTopBorderWidth(float f)` Deprecated. Set the top border to `f` width
`int` | `topBorderStyle()` Deprecated. Get the top border style
`float` | `topBorderWidth()` Deprecated. Get the top border width

Methods inherited from class com.lowagie.text.Cell
`add, addElement, bottom, bottom, cellWidth, clear, colspan, createPdfPCell, getBottom, getChunks, getColspan, getElements, getGroupChange, getHorizontalAlignment, getLeading, getLeft, getMaxLines, getRight, getRowspan, getShowTruncation, getTop, getVerticalAlignment, getWidth, getWidthAsString, header, horizontalAlignment, isEmpty, isHeader, isTable, isUseAscender, isUseBorderPadding, isUseDescender, leading, left, left, noWrap, process, right, right, rowspan, setBottom, setColspan, setGroupChange, setHeader, setHorizontalAlignment, setHorizontalAlignment, setLeading, setLeft, setMaxLines, setNoWrap, setRight, setRowspan, setShowTruncation, setTop, setUseAscender, setUseBorderPadding, setUseDescender, setVerticalAlignment, setVerticalAlignment, setWidth, setWidth, size, top, top, type, verticalAlignment`

Methods inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderWidth, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getGrayFill, getHeight, getLeft, getRight, getRotation, getTop, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, normalize, rectangle, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, toString, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### BORDER_UNDEFINED

    public static final int BORDER_UNDEFINED

  Deprecated.
  Table border solid

  See Also:
    Constant Field Values

### BORDER_SINGLE

    public static final int BORDER_SINGLE

  Deprecated.
  Table border solid

  See Also:
    Constant Field Values

### BORDER_DOUBLE_THICK

    public static final int BORDER_DOUBLE_THICK

  Deprecated.
  Table border double thickness

  See Also:
    Constant Field Values

### BORDER_SHADOWED

    public static final int BORDER_SHADOWED

  Deprecated.
  Table border shadowed

  See Also:
    Constant Field Values

### BORDER_DOTTED

    public static final int BORDER_DOTTED

  Deprecated.
  Table border dotted

  See Also:
    Constant Field Values

### BORDER_DASHED

    public static final int BORDER_DASHED

  Deprecated.
  Table border dashed

  See Also:
    Constant Field Values

### BORDER_HAIRLINE

    public static final int BORDER_HAIRLINE

  Deprecated.
  Table border hairline

  See Also:
    Constant Field Values

### BORDER_DOUBLE

    public static final int BORDER_DOUBLE

  Deprecated.
  Table border double line

  See Also:
    Constant Field Values

### BORDER_DOT_DASH

    public static final int BORDER_DOT_DASH

  Deprecated.
  Table border dot dash line

  See Also:
    Constant Field Values

### BORDER_DOT_DOT_DASH

    public static final int BORDER_DOT_DOT_DASH

  Deprecated.
  Table border dot dot dash line

  See Also:
    Constant Field Values

### BORDER_TRIPLE

    public static final int BORDER_TRIPLE

  Deprecated.
  Table border triple line

  See Also:
    Constant Field Values

### BORDER_THICK_THIN

    public static final int BORDER_THICK_THIN

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK

    public static final int BORDER_THIN_THICK

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN

    public static final int BORDER_THIN_THICK_THIN

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THICK_THIN_MED

    public static final int BORDER_THICK_THIN_MED

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_MED

    public static final int BORDER_THIN_THICK_MED

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN_MED

    public static final int BORDER_THIN_THICK_THIN_MED

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THICK_THIN_LARGE

    public static final int BORDER_THICK_THIN_LARGE

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_LARGE

    public static final int BORDER_THIN_THICK_LARGE

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_THIN_THICK_THIN_LARGE

    public static final int BORDER_THIN_THICK_THIN_LARGE

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_WAVY

    public static final int BORDER_WAVY

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_DOUBLE_WAVY

    public static final int BORDER_DOUBLE_WAVY

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_STRIPED

    public static final int BORDER_STRIPED

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_EMBOSS

    public static final int BORDER_EMBOSS

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### BORDER_ENGRAVE

    public static final int BORDER_ENGRAVE

  Deprecated.
  Table border line

  See Also:
    Constant Field Values

### topBorderWidth

    private float topBorderWidth

  Deprecated.

### leftBorderWidth

    private float leftBorderWidth

  Deprecated.

### rightBorderWidth

    private float rightBorderWidth

  Deprecated.

### bottomBorderWidth

    private float bottomBorderWidth

  Deprecated.

### topBorderStyle

    private int topBorderStyle

  Deprecated.

### leftBorderStyle

    private int leftBorderStyle

  Deprecated.

### rightBorderStyle

    private int rightBorderStyle

  Deprecated.

### bottomBorderStyle

    private int bottomBorderStyle

  Deprecated.

Constructor Detail

### RtfTableCell

    public RtfTableCell(boolean dummy)

  Deprecated.
  Constructs an empty `Cell` (for internal use only).

  Parameters:
    `dummy` - a dummy value

### RtfTableCell

    public RtfTableCell(Element element)
                 throws BadElementException

  Deprecated.
  Constructs a `Cell` with a certain `Element`.

  if the element is a `ListItem`, `Row` or `Cell`, an exception will be thrown.

  Parameters:
    `element` - the element
  Throws:
    `BadElementException` - when the creator was called with a `ListItem`, `Row` or `Cell`

### RtfTableCell

    public RtfTableCell(String content)

  Deprecated.
  Constructs a `Cell` with a certain content.

  The `String` will be converted into a `Paragraph`.

  Parameters:
    `content` - a `String`

### RtfTableCell

    public RtfTableCell(Properties attributes)

  Deprecated.
  Returns a `Cell` that has been constructed taking in account the value of some attributes.

  Parameters:
    `attributes` - Some attributes

Method Detail

### setBorderWidth

    public void setBorderWidth(float f)

  Deprecated.
  Set all four borders to `f` width

  Overrides:
    `setBorderWidth` in class `Rectangle`
  Parameters:
    `f` - the desired width

### setTopBorderWidth

    public void setTopBorderWidth(float f)

  Deprecated.
  Set the top border to `f` width

  Parameters:
    `f` - the desired width

### topBorderWidth

    public float topBorderWidth()

  Deprecated.
  Get the top border width

  Returns:
    a width

### setLeftBorderWidth

    public void setLeftBorderWidth(float f)

  Deprecated.
  Set the left border to `f` width

  Parameters:
    `f` - the desired width

### leftBorderWidth

    public float leftBorderWidth()

  Deprecated.
  Get the left border width

  Returns:
    a width

### setRightBorderWidth

    public void setRightBorderWidth(float f)

  Deprecated.
  Set the right border to `f` width

  Parameters:
    `f` - the desired width

### rightBorderWidth

    public float rightBorderWidth()

  Deprecated.
  Get the right border width

  Returns:
    a width

### setBottomBorderWidth

    public void setBottomBorderWidth(float f)

  Deprecated.
  Set the bottom border to `f` width

  Parameters:
    `f` - the desired width

### bottomBorderWidth

    public float bottomBorderWidth()

  Deprecated.
  Get the bottom border width

  Returns:
    a width

### setBorderStyle

    public void setBorderStyle(int style)

  Deprecated.
  Set all four borders to style defined by `style`

  Parameters:
    `style` - the desired style

### setTopBorderStyle

    public void setTopBorderStyle(int style)

  Deprecated.
  Set the top border to style defined by `style`

  Parameters:
    `style` - the desired style

### topBorderStyle

    public int topBorderStyle()

  Deprecated.
  Get the top border style

  Returns:
    a style value

### setLeftBorderStyle

    public void setLeftBorderStyle(int style)

  Deprecated.
  Set the left border to style defined by `style`

  Parameters:
    `style` - the desired style

### leftBorderStyle

    public int leftBorderStyle()

  Deprecated.
  Get the left border style

  Returns:
    a style value

### setRightBorderStyle

    public void setRightBorderStyle(int style)

  Deprecated.
  Set the right border to style defined by `style`

  Parameters:
    `style` - the desired style

### rightBorderStyle

    public int rightBorderStyle()

  Deprecated.
  Get the right border style

  Returns:
    a style value

### setBottomBorderStyle

    public void setBottomBorderStyle(int style)

  Deprecated.
  Set the bottom border to style defined by `style`

  Parameters:
    `style` - the desired style

### bottomBorderStyle

    public int bottomBorderStyle()

  Deprecated.
  Get the bottom border style

  Returns:
    a style value

### getStyleControlWord

    protected static byte[] getStyleControlWord(int style)

  Deprecated.
  Get the RTF control word for `style`

  Parameters:
    `style` - a style value
  Returns:
    a byte array corresponding with a style control word

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD